# NM_Request_Object_Attribute_Value_Update Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_Request_Object_Attribute_Value_Update:

[legend]

List of all members.

## Public Types
typedef NM_WithHandleArray | Super
## Public Member Functions
| NM_Request_Object_Attribute_Value_Update ()
virtual | ~NM_Request_Object_Attribute_Value_Update ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
const ObjectHandle | getObject () const
void | setObject (ObjectHandle newObject)

## Detailed Description

Definition at line 1063 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NM_WithHandleArray Super

Reimplemented from NM_WithHandleArray.

Reimplemented in NM_Negotiated_Attribute_Ownership_Divestiture, NM_Attribute_Ownership_Acquisition_Notification, NM_Attribute_Ownership_Divestiture_Notification, NM_Request_Attribute_Ownership_Assumption, NM_Attribute_Ownership_Unavailable, NM_Attribute_Ownership_Acquisition_If_Available, NM_Unconditional_Attribute_Ownership_Divestiture, NM_Attribute_Ownership_Acquisition, NM_Request_Attribute_Ownership_Release, NM_Cancel_Negotiated_Attribute_Ownership_Divestiture, NM_Attribute_Ownership_Release_Response, NM_Cancel_Attribute_Ownership_Acquisition, NM_Confirm_Attribute_Ownership_Acquisition_Cancellation, and NM_Provide_Attribute_Value_Update.

Definition at line 1065 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_Request_Object_Attribute_Value_Update | ( |  | ) |

Definition at line 1322 of file NM_Classes.cc.

References NetworkMessage::name, NetworkMessage::REQUEST_OBJECT_ATTRIBUTE_VALUE_UPDATE, and NetworkMessage::type.

~NM_Request_Object_Attribute_Value_Update | ( |  | ) | `[virtual]`

Definition at line 1327 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NM_WithHandleArray.

Definition at line 1329 of file NM_Classes.cc.

References NM_WithHandleArray::serialize().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NM_WithHandleArray.

Definition at line 1335 of file NM_Classes.cc.

References NM_WithHandleArray::deserialize().

Here is the call graph for this function:

const ObjectHandle getObject | ( |  | ) | const`[inline]`

Definition at line 1071 of file NM_Classes.hh.

void setObject | ( | ObjectHandle | newObject | ) | `[inline]`

Definition at line 1072 of file NM_Classes.hh.

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc